<?php
// $Id: views_handler_field_system_drupal_core.inc,v 1.1.4.2 2010/11/04 14:15:32 flanker Exp $

/**
 * @file
 * Views field handler for the views_system module.
 */


/**
 * Renders the Drupal core field of the system item.
 *
 * @ingroup views_field_handlers
 */
class views_handler_field_system_drupal_core extends views_handler_field_boolean {


  function construct() {

    parent::construct();

    $this->additional_fields['filename'] = 'filename';
  }


  function query() {

    $this->ensure_my_table();
    $this->add_additional_fields();
  }


  function render($values) {

    $value = _views_system_get_drupal_core($values->filename);
    if (!empty($this->options['not'])) {
      $value = !$value;
    }

    if (isset($this->formats[$this->options['type']])) {
      $output = $value ? $this->formats[$this->options['type']][0] : $this->formats[$this->options['type']][1];
    }
    else {
      $output = $value ? $this->formats['yes-no'][0] : $this->formats['yes-no'][1];
    }

    return $output;
  }
}
