<?php
// $Id: views_handler_field_system_info_screenshot.inc,v 1.1.4.1 2010/10/31 16:13:08 flanker Exp $

/**
 * @file
 * Views field handler for the views_system module.
 */


/**
 * Provides display options and renders the screenshot field of the system item.
 *
 * @ingroup views_field_handlers
 */
class views_handler_field_system_info_screenshot extends views_handler_field {


  function construct() {

    parent::construct();

    $this->additional_fields['info'] = 'info';
  }


  function query() {

    $this->ensure_my_table();
    $this->add_additional_fields();
  }


  function option_definition() {

    $options = parent::option_definition();

    $options['system_info_screenshot_image'] = array('default' => TRUE);

    return $options;
  }


  function options_form(&$form, &$form_state) {

    parent::options_form($form, $form_state);

    $form['system_info_screenshot_image'] = array(
      '#type' => 'checkbox',
      '#title' => t('Display as image'),
      '#default_value' => !empty($this->options['system_info_screenshot_image']),
    );
  }


  function render($values) {

    $info = unserialize($values->system_info);

    if (isset($info['screenshot'])) {

      if ($this->options['system_info_screenshot_image'] && $path = _views_system_get_screenshot($info)) {

        $alt = t('Screenshot for %theme theme', array('%theme' => $info['name']));
        $output = theme('image', $path, $alt, '', array('class' => 'screenshot'), FALSE);
      }
      else {
        $output = '';
      }
    }
    else {
      $output = '';
    }

    return $output;
  }
}
